---
title: HTMLMediaElement.autoplay
slug: Web/API/HTMLMediaElement/autoplay
tags:
  - API
  - Audio
  - HTML DOM
  - HTMLMediaElement
  - Media
  - NeedsExample
  - Property
  - Video
  - Web
  - autoplay
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The <strong><code>HTMLMediaElement.autoplay</code></strong> property reflects the {{htmlattrxref("autoplay", "video")}} HTML attribute, indicating whether playback should automatically begin as soon as enough media is available to do so without interruption.</span></p>

<p>A media element whose source is a {{domxref("MediaStream")}} and whose <code>autoplay</code> property is <code>true</code> will begin playback when it becomes active (that is, when {{domxref("MediaStream.active")}} becomes <code>true</code>).</p>

<div class="note">
<p><strong>Note:</strong> Sites which automatically play audio (or videos with an audio track) can be an unpleasant experience for users, so it should be avoided when possible. If you must offer autoplay functionality, you should make it opt-in (requiring a user to specifically enable it). However, autoplay can be useful when creating media elements whose source will be set at a later time, under user control.</p>
</div>

<p>For a much more in-depth look at autoplay, autoplay blocking, and how to respond whena autoplay is blocked by the user's browser, see our article <a href="/en-US/docs/Web/Media/Autoplay_guide">Autoplay guide for media and Web Audio APIs</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>HTMLMediaElement</em>.autoplay = true | false;

var <em>autoplay</em> = <em>HTMLMediaElement</em>.autoplay;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}} whose value is <code>true</code> if the media element will begin playback as soon as enough content has loaded to allow it to do so without interruption.</p>

<div class="note">
<p><strong>Note:</strong> Some browsers offer users the ability to override <code>autoplay</code> in order to prevent disruptive audio or video from playing without permission or in the background. Do not rely on <code>autoplay</code> actually starting playback and instead use {{domxref("HTMLMediaElement.play_event", 'play')}} event.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>...</p>

<pre class="brush: html notranslate">&lt;video id="video" controls&gt;
  &lt;source src="https://player.vimeo.com/external/250688977.sd.mp4?s=d14b1f1a971dde13c79d6e436b88a6a928dfe26b&amp;profile_id=165"&gt;
&lt;/video&gt;</pre>

<pre class="notranslate">*** Disable autoplay (recommended) ***
      false is the default value
        document.querySelector('#video').autoplay = false;

</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "embedded-content.html#dom-media-autoplay", "HTMLMediaElement.autoplay")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName('HTML5 W3C')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.autoplay")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.autoplay")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
 <li>The {{HTMLElement("audio")}} and {{HTMLElement("video")}} elements</li>
</ul>
